---
api: 'Crypto Ramp API'
---

# Retrieve an order quote

Retrieve an order quote representing current exchange rate, total crypto amount and fees.
Use it to display potential exchange rate to your customer.

For more information, see the guides: [Leverage the Crypto Ramp API -> Get an order quote](/docs/guides/crypto-ramp/tutorials/use-the-api#get-an-order-quote).

## Endpoint

GET `/quote`

## Parameters

### query parameters

- `fiat` (string, required)
  The [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) code of the selected fiat currency to use for the purchase.

- `amount` (number, required)
  The fiat amount to exchange for crypto.

- `crypto` (string, required)
  The ID of the crypto token to purchase, obtained from the [`/config`](/docs/api/crypto-ramp#retrieve-configuration) endpoint.

- `payment` (enum, required)
  The selected [payment option](/docs/guides/crypto-ramp/introduction-to-revolut-ramp/coverage-and-other-details/payment-options).
  Possible enum values:

  - `card`
  - `revolut`
  - `apple-pay`
  - `google-pay`

- `region` (string, required)
  The [ISO 3166 Alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2) code of the country of residence of the customer (end user) ordering the exchange.

- `feePercentage` (number, optional)
  The fee percentage that will be applied for the order as partner fee.

- `walletAddress` (string, optional)
  The address of the crypto wallet into which the purchased token should be transferred.

## Returns

### 200

OK

#### Response attributes

- `service_fee` (object)
    The sum of Revolut Ramp fee and Partner fee.
    
    :::note
    The Partner fee is also provided separately in the `partner_fee` parameter.
    :::
  - `service_fee.amount` (number)
      The amount.
  - `service_fee.currency` (string)
      The fiat currency [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) code.
- `network_fee` (object)
    Crypto network fee.
  - `network_fee.amount` (number)
      The amount.
  - `network_fee.currency` (string)
      The fiat currency [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) code.
- `crypto` (object)
    Crypto amount that the customer receives in the case of a successful exchange.
  - `crypto.amount` (number)
      The amount.
  - `crypto.currencyId` (string)
      The ID of the currency, obtained from the [`/config`](/docs/api/crypto-ramp#retrieve-configuration) endpoint.
- `partner_fee` (object)
    Partner fee.
    
    :::note
    This Partner fee is also included in the `service_fee` value, which represents the total sum of Partner fee and Revolut Ramp fee.
    :::
  - `partner_fee.amount` (number)
      The amount.
  - `partner_fee.currency` (string)
      The fiat currency [ISO 4217](https://en.wikipedia.org/wiki/ISO_4217) code.

## Error responses

| HTTP status code | Description |
| --- | --- |
| 400 | Bad request  A request parameter is invalid. |
| 401 | Unauthorized |
| 429 | Too Many Requests |
| 500 | Server error  An unexpected error occurred. |
| 503 | The endpoint is disabled by Kill Switch |
